﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;
using Telerik.Charting;

namespace PieChartSeries
{
    public class PieViewModel : ViewModelBase
    {
        public PieViewModel()
        {

        }

        private ObservableCollection<PieChartData> data;
        public ObservableCollection<PieChartData> Data
        {
            get
            {
                if (data == null)
                {
                    data = new ObservableCollection<PieChartData>();
                    data.Add(new PieChartData() { Category = "Bananas", Value = 30});
                    data.Add(new PieChartData() { Category = "Apples", Value = 50 });
                    data.Add(new PieChartData() { Category = "Oranges", Value = 70 });
                    data.Add(new PieChartData() { Category = "Strawberries", Value = 45 });
                    data.Add(new PieChartData() { Category = "Blueberries", Value = 25 });
                    data.Add(new PieChartData() { Category = "Kiwis", Value = 100 });
                    data.Add(new PieChartData() { Category = "Pine-Apple", Value = 75 });
                }
                return data;
            }

            set
            {
                this.data = value;
                OnPropertyChanged("Data");
            }
        }
    }
}
